GUJ Discussões   :   últimos tópicos   |   categorias   |   GUJ Respostas

Ambiente PHP no eclipse


#1

olá!
Alguém já se utilizou do eclipse para desenvolver em PHP, utilizando os plugins disponíveis no próprio eclipse.org?

não consegui montar o ambiente e não achei nada na net.

Agradeço a ajuda!


#2

Fica mais tranquilo se você procurar sobre isso numa comunidade de PHP.


#3

procurei, alias estou procurando ... mas até agora nada!

mas agradeço o conselho! :wink:


#4

Cara uso o PHPEclipse, acho melhor do que o do eclipse.org em conjunto com o Aptana fica show de bola :smiley:

http://www.plog4u.org/index.php/Using_PHPEclipse
www.aptana.com


#5

Estou usando o PDT Project.


#6

Eu usava o PHPEclipse, mas acabei achando mais produtivo ainda o Zend Studio.

Até!


#7

http://www.easyeclipse.org/site/distributions/php.html


#8

Pluggin PHP para o Eclipse da Zend:
http://www.zend.com/pdt


#9

recomendo e uso o PHPEclipse


#10

Algumas pessoas aqui, tem usado o PHPEclipse e tem gostado bastante. Eu recomendo.


#11

Se voce vai desenvolver site em PHP eu recomendo usar o PHP Editor e o XAMPP que tem servidor Apache e Mysql embutidos. Usei o Eclipse e achei uma m... Tanto para Java como para PHP, porque é muito integrado e eu tive que formatar o PC para mudança de SO e quando reinstalei Eclipse e o projeto, deu um monte de erros, fiquei quase louco, passei 3 dias tentando achar o que estava errado, porque voce tem que ficar colocando de volta nas pastaslib dele as bibliotecas do servidor e do banco de dados, vixi!!!. Decidi fazer o sistema em PHP, porque eu faço as paginas e as classes no PHP Editor, salvo e abro no browser com o Apache ativo e voilá!!!! No Eclipse para começar ele demora para ativar o servidor interno dele e dá erros e voce não sabe se é da instalação que voce fez, se é do Eclipse, se é do seu código... Não gostei. Opinião pessoal, cada um é cada um. Talvez possa ser que estou usando errado, mas vou seguir nesse rumo por enquanto.


#12

Pode ser que você tenha instalado a versão errada do plugin no eclipse. Esse tipo de problema que você relatou não é comum. Pode ser que tenha ocorrido algum problema de compatibilidade entre o plugin e o Eclipse. Todo plugin é projetado para uma versão do Eclipse, pois quando o Eclipse é atualizado, as API's de desenvolvimento são atualizadas, de modo que raramente haverá compatibilidade entre o Eclipse e um plugin para uma versão mais antiga do Eclipse. Eu já trabalhei uns meses com desenvolvimento de plugins e sofri um bocado quando mudaram da versão Helios para a Indigo.


#13

amigo
o eclipse eh complicado e confuso no comeco ate se acostumar pra algumas pessoas costuma ser m pouco dificil
mas depois q aprende eh dificil viver sem ele pq eh maravlhoso a melhor ide q existe na minha opniao
melhor ate q visual studio e netbeans

Abs


#14

PHPStorm


#15

Usa o XAMPP e o Notepad++ ai fica show :wink:


#16

I use and suggest Codelobster PHP Edition


#17

Olá.
Tem um bom que não é pesado e funciona bem, UwAmp....
Bem simples e prático.


#18